## Index

### Classes

- BaseFormField
- FormFields
- FormikEffect
- JsonGraphqlForm
- JsonLayout
- JsonSchemaParser

### Interfaces

- BaseFormFieldProps
- BaseFormFieldStyles
- EditProfileProfileFormValues
- FormCheckboxInputProps
- FormComponentFieldProps
- FormEmailInputProps
- FormNumberInputProps
- FormPasswordInputProps
- FormPickerInputProps
- FormProps
- FormRadioGroupInputProps
- FormRangeInputProps
- FormResetButtonProps
- FormResetButtonStyles
- FormStatusListItemProps
- FormStatusListItemStyles
- FormStatusListProps
- FormStatusListStyles
- FormSubmitButtonProps
- FormSubmitButtonStyles
- FormSwitchInputProps
- FormUrlInputProps
- FormikEffectProps
- InlineFieldsProps
- InlineFieldsStyles
- JsonComponentNode
- JsonFormProps
- JsonFormStyles
- JsonLayoutProps
- SignupFormValues

### Type aliases

- FieldWrapperProps
- FormErrors
- FormFieldProps
- FormFieldsProps
- FormTextInputProps
- JsonFormSchema
- JsonGraphqlFormOnErrorFn
- JsonGraphqlFormOnSuccessFn
- JsonGraphqlFormProps
- ResolveComponentFn
- mapFormValuesToMutationVariablesFn
- mapQueryDataToInitialValuesFn
- renderFieldFn

### Variables

- DefaultButtons
- DefaultInputs
- EditProfileMutation
- Form
- FormResetButton
- FormStatus
- FormSubmitButton
- Mutation
- Query
- SamplePlugins
- SignupMutation
- TextInput
- ViewerQuery
- fields

### Functions

- Checkbox
- EditProfileProfileForm
- FieldWrapper
- FormCheckboxInput
- FormEmailInput
- FormNumberInput
- FormPasswordInput
- FormPickerInput
- FormRadioGroupInput
- FormRangeInput
- FormStatusList
- FormStatusListItem
- FormSwitchInput
- FormTextInput
- FormUrlInput
- InlineFields
- JsonForm
- JsonFormInternal
- Post
- SignupForm
- Timeline
- createJsonLayout
- getComponent
- getFormField
- graphqlToFormErrors
- mapQueryDataToInitialValues
- onSuccess
- validate

### Object literals

- FieldResolutionMap
- fieldProps
- graphQLErrorsBadUserInput
- graphQLErrorsUnAuthenticated
- initialValues
- networkError
- success
- viewerQuery
- viewerQuery1

## Type aliases

### FieldWrapperProps

FieldWrapperProps: object & T

- Defined in JsonForm/FormFields.tsx:8

### FormErrors

FormErrors: object & object

- Defined in JsonGraphqlForm/JsonGraphqlForm.tsx:225

### FormFieldProps

FormFieldProps: object & FormCheckboxInputProps | TextInputProps & BaseFormFieldProps & object | FormEmailInputProps | FormNumberInputProps | FormPasswordInputProps | FormRadioGroupInputProps | FormResetButtonProps | FormSubmitButtonProps | FormSwitchInputProps | FormUrlInputProps | InlineFieldsProps | FormComponentFieldProps

- Defined in JsonForm/Fields/FormFieldProps.ts:14

### FormFieldsProps

FormFieldsProps: object & T

- Defined in JsonForm/FormFields.tsx:14

### FormTextInputProps

FormTextInputProps: TextInputProps & BaseFormFieldProps & T & object

- Defined in JsonForm/Fields/FormTextInput.tsx:10

### JsonFormSchema

JsonFormSchema: FormProps<Values> & object

- Defined in JsonForm/JsonForm.tsx:16

### JsonGraphqlFormOnErrorFn

JsonGraphqlFormOnErrorFn: function

- Defined in JsonGraphqlForm/JsonGraphqlForm.tsx:19

#### Type declaration

- - (error: ApolloError, values: Values, actions: FormikActions<Values>): void

  - #### Parameters

    - ##### error: ApolloError

    - ##### values: Values

    - ##### actions: FormikActions<Values>

    #### Returns void

### JsonGraphqlFormOnSuccessFn

JsonGraphqlFormOnSuccessFn: function

- Defined in JsonGraphqlForm/JsonGraphqlForm.tsx:24

#### Type declaration

- - (result: void | FetchResult, values: Values, actions: FormikActions<Values>): void

  - #### Parameters

    - ##### result: void | FetchResult

    - ##### values: Values

    - ##### actions: FormikActions<Values>

    #### Returns void

### JsonGraphqlFormProps

JsonGraphqlFormProps: Omit<JsonFormProps<Values>, "schema"> & object

- Defined in JsonGraphqlForm/JsonGraphqlForm.tsx:30

### ResolveComponentFn

ResolveComponentFn: function

- Defined in JsonSchemaParser.ts:20

#### Type declaration

- - (node: JsonComponentNode): React.ComponentType<any> | null

  - #### Parameters

    - ##### node: JsonComponentNode

    #### Returns React.ComponentType<any> | null

### mapFormValuesToMutationVariablesFn

mapFormValuesToMutationVariablesFn: function

- Defined in JsonGraphqlForm/JsonGraphqlForm.tsx:14

#### Type declaration

- - (values: Values): any

  - #### Parameters

    - ##### values: Values

    #### Returns any

### mapQueryDataToInitialValuesFn

mapQueryDataToInitialValuesFn: function

- Defined in JsonGraphqlForm/JsonGraphqlForm.tsx:17

#### Type declaration

- - (data: any): Values

  - #### Parameters

    - ##### data: any

    #### Returns Values

### renderFieldFn

renderFieldFn: function

- Defined in JsonForm/FormFields.tsx:6

#### Type declaration

- - (field: FormFieldProps, index: number, parent: FormFieldsProps): React.ReactNode

  - #### Parameters

    - ##### field: FormFieldProps

    - ##### index: number

    - ##### parent: FormFieldsProps

    #### Returns React.ReactNode

## Variables

### Const DefaultButtons

DefaultButtons: string[] = ['Button', 'Noop']

- Defined in JsonForm/getFormField.ts:4

### Const DefaultInputs

DefaultInputs: string[] = ['FormTextInput', 'TextInput', 'Noop']

- Defined in JsonForm/getFormField.ts:3

### Const EditProfileMutation

EditProfileMutation: any = gql`mutation EditProfileMutation($data: JSON) {signup(input: { data: $data }) {idfirstNamelastName}}`

- Defined in JsonGraphqlForm/__stories__/EditProfileProfileForm.tsx:18

### Form

Form: any

- Defined in JsonForm/Form/BaseFormField.test.tsx:1

### Const FormResetButton

FormResetButton: ComponentClass<FormResetButtonProps & object, any> | FunctionComponent<FormResetButtonProps & object> = connect((props: FormResetButtonProps & { formik: FormikContext<{}>; }) => {const { handleReset } = props.formik;const { styles = {}, ...rest } = props;return (<View style={styles.root}><Buttonstyle={styles.button}{...rest}onPress={handleReset}type="reset"/></View>);})

- Defined in JsonForm/Fields/FormResetButton.tsx:18

### Const FormStatus

FormStatus: ComponentClass<any, any> | FunctionComponent<any> = getComponent('FormStatus')

- Defined in JsonForm/Errors/FormStatus/FormStatus.tsx:7
- Defined in JsonForm/Errors/FormStatus/__stories__/FormStatus.stories.tsx:5

### Const FormSubmitButton

FormSubmitButton: ComponentClass<FormSubmitButtonProps & object, any> | FunctionComponent<FormSubmitButtonProps & object> = connect((props: FormSubmitButtonProps & { formik: FormikContext<{}>; }) => {const { handleSubmit, isSubmitting } = props.formik;const { styles = {}, ...rest } = props;return (<View style={styles.root}><Buttonstyle={styles.button}disabled={isSubmitting}loading={isSubmitting}{...rest}onPress={handleSubmit}type="submit"/></View>);})

- Defined in JsonForm/Fields/FormSubmitButton.tsx:18

### Const Mutation

Mutation: ComponentClass<MutationProps<any, object>, any> | FunctionComponent<MutationProps<any, object>> = getComponent<MutationProps>('GraphqlMutation')

- Defined in JsonGraphqlForm/JsonGraphqlForm.tsx:11

### Const Query

Query: ComponentClass<QueryProps<any, object>, any> | FunctionComponent<QueryProps<any, object>> = getComponent<QueryProps>('GraphqlQuery')

- Defined in JsonGraphqlForm/JsonGraphqlForm.tsx:12

### Const SamplePlugins

SamplePlugins: object & object = createPlugin({description: 'testing',key: 'sample',name: 'sample',version: 'test',ThingThingholderImage: { uri: 'https://placeimg.com/300/300/arch' },components: {Checkbox}})

- Defined in JsonForm/Fields/__tests__/FormCheckboxInput.test.tsx:23

### Const SignupMutation

SignupMutation: any = gql`mutation SignupMutation($data: JSON) {signup(input: { data: $data }) {idfirstNamelastNameemailaccessToken}}`

- Defined in JsonGraphqlForm/__stories__/SignupForm.tsx:7

### Const TextInput

TextInput: ComponentClass<TextInputProps, any> | FunctionComponent<TextInputProps> = getComponent<TextInputProps>('TextInput')

- Defined in JsonForm/Fields/FormTextInput.tsx:8

### Const ViewerQuery

ViewerQuery: any = gql`{viewer {me {idfirstNamelastName}}}`

- Defined in JsonGraphqlForm/__stories__/EditProfileProfileForm.tsx:6

### Const fields

fields: FormFieldProps[] = [{label: 'Username',name: 'username',required: true,type: 'text',}, {schema: { component: 'Text', text: 'Text Component' },type: 'component',}, {label: 'Temp',max: 32,min: 16,name: 'temp',step: 1,type: 'range',}]

- Defined in JsonForm/__tests__/FormFields.test.tsx:15
- Defined in JsonForm/__tests__/FormikEffect.test.tsx:11
- Defined in JsonForm/__tests__/JsonForm.test.tsx:9

## Functions

### Const Checkbox

- Checkbox(): string

- - Defined in JsonForm/Fields/__tests__/FormCheckboxInput.test.tsx:21

  #### Returns string

### Const EditProfileProfileForm

- EditProfileProfileForm(props: Partial<JsonGraphqlFormProps<any>>): Element

- - Defined in JsonGraphqlForm/__stories__/EditProfileProfileForm.tsx:47

  #### Parameters

  - ##### props: Partial<JsonGraphqlFormProps<any>>

  #### Returns Element

### Const FieldWrapper

- FieldWrapper(__namedParameters: object): Element
- FieldWrapper(props: FieldWrapperProps): Element

- - Defined in JsonForm/Fields/InlineFields.tsx:25

  #### Parameters

  - ##### __namedParameters: object

    - ##### children: undefined | null | string | number | false | true | __type | ReactElement<any, string | function | object> | ReactNodeArray | ReactPortal

    - ##### field: object & FormCheckboxInputProps | object & TextInputProps & BaseFormFieldProps & object | object & FormEmailInputProps | object & FormNumberInputProps | object & FormPasswordInputProps | object & FormRadioGroupInputProps | object & FormResetButtonProps | object & FormSubmitButtonProps | object & FormSwitchInputProps | object & FormUrlInputProps | object & InlineFieldsProps | object & FormComponentFieldProps

    - ##### parent: any

  #### Returns Element

- - Defined in JsonForm/__tests__/FormFields.test.tsx:44

  #### Parameters

  - ##### props: FieldWrapperProps

  #### Returns Element

### Const FormCheckboxInput

- FormCheckboxInput(props: FormCheckboxInputProps): Element

- - Defined in JsonForm/Fields/FormCheckboxInput.tsx:15

  #### Parameters

  - ##### props: FormCheckboxInputProps

  #### Returns Element

### Const FormEmailInput

- FormEmailInput(props: FormEmailInputProps): Element

- - Defined in JsonForm/Fields/FormEmailInput.tsx:12

  #### Parameters

  - ##### props: FormEmailInputProps

  #### Returns Element

### Const FormNumberInput

- FormNumberInput(props: FormNumberInputProps): Element

- - Defined in JsonForm/Fields/FormNumberInput.tsx:22

  #### Parameters

  - ##### props: FormNumberInputProps

  #### Returns Element

### Const FormPasswordInput

- FormPasswordInput(props: FormPasswordInputProps): Element

- - Defined in JsonForm/Fields/FormPasswordInput.tsx:12

  #### Parameters

  - ##### props: FormPasswordInputProps

  #### Returns Element

### Const FormPickerInput

- FormPickerInput(__namedParameters: object): Element

- - Defined in JsonForm/Fields/FormPickerInput.tsx:15

  #### Parameters

  - ##### __namedParameters: object

    - ##### items: PickerItemProps[]

    - ##### props: props

    - ##### type: "picker"

  #### Returns Element

### Const FormRadioGroupInput

- FormRadioGroupInput(__namedParameters: object): Element

- - Defined in JsonForm/Fields/FormRadioGroupInput.tsx:15

  #### Parameters

  - ##### __namedParameters: object

    - ##### items: RadioProps[]

    - ##### props: props

    - ##### type: "radio-group"

  #### Returns Element

### Const FormRangeInput

- FormRangeInput(__namedParameters: object): Element

- - Defined in JsonForm/Fields/FormRangeInput.tsx:17

  #### Parameters

  - ##### __namedParameters: object

    - ##### max: undefined | number

    - ##### min: undefined | number

    - ##### rest: rest

  #### Returns Element

### Const FormStatusList

- FormStatusList(__namedParameters: object): null | Element

- - Defined in JsonForm/Errors/FormStatusList/FormStatusList.tsx:23

  #### Parameters

  - ##### __namedParameters: object

    - ##### items: string[]

    - ##### styles: object

    - ##### type: undefined | "error" | "success" | "warning"

  #### Returns null | Element

### Const FormStatusListItem

- FormStatusListItem(__namedParameters: object): Element

- - Defined in JsonForm/Errors/FormStatusListItem/FormStatusListItem.tsx:31

  #### Parameters

  - ##### __namedParameters: object

    - ##### children: string

    - ##### divider: undefined | false | true

    - ##### styles: object

    - ##### type: undefined | "error" | "success" | "warning"

  #### Returns Element

### Const FormSwitchInput

- FormSwitchInput(__namedParameters: object): Element

- - Defined in JsonForm/Fields/FormSwitchInput.tsx:15

  #### Parameters

  - ##### __namedParameters: object

    - ##### props: props

    - ##### type: "switch"

  #### Returns Element

### Const FormTextInput

- FormTextInput(props: FormTextInputProps): Element

- - Defined in JsonForm/Fields/FormTextInput.tsx:37

  #### Parameters

  - ##### props: FormTextInputProps

  #### Returns Element

### Const FormUrlInput

- FormUrlInput(props: FormUrlInputProps): Element

- - Defined in JsonForm/Fields/FormUrlInput.tsx:12

  #### Parameters

  - ##### props: FormUrlInputProps

  #### Returns Element

### Const InlineFields

- InlineFields(props: InlineFieldsProps): Element

- - Defined in JsonForm/Fields/InlineFields.tsx:43

  A component that renders form actions, i.e. submit or reset buttons

  #### Parameters

  - ##### props: InlineFieldsProps

  #### Returns Element

### Const JsonForm

- JsonForm<Values>(props: JsonFormProps<Values>): Element

- - Defined in JsonForm/JsonForm.tsx:79

  A component that takes a json schema and converts it into a form.

  #### Type parameters

  - #### Values: FormikValues

  #### Parameters

  - ##### props: JsonFormProps<Values>

  #### Returns Element

### Const JsonFormInternal

- JsonFormInternal<Values>(props: JsonFormProps<Values>): Element

- - Defined in JsonForm/JsonForm.tsx:59

  A component that takes a json schema and converts it into a form.

  #### Type parameters

  - #### Values: FormikValues

  #### Parameters

  - ##### props: JsonFormProps<Values>

  #### Returns Element

### Const Post

- Post(__namedParameters: object): Element

- - Defined in __tests__/JsonSchemaParser.test.tsx:7

  #### Parameters

  - ##### __namedParameters: object

    - ##### content: any

    - ##### rest: any

  #### Returns Element

### Const SignupForm

- SignupForm(props: Partial<JsonGraphqlFormProps<any>>): Element

- - Defined in JsonGraphqlForm/__stories__/SignupForm.tsx:30

  #### Parameters

  - ##### props: Partial<JsonGraphqlFormProps<any>>

  #### Returns Element

### Const Timeline

- Timeline(__namedParameters: object): Element

- - Defined in __tests__/JsonSchemaParser.test.tsx:6

  #### Parameters

  - ##### __namedParameters: object

    - ##### children: any

    - ##### rest: any

  #### Returns Element

### Const createJsonLayout

- createJsonLayout(options: JsonLayoutProps): (Anonymous function)

- - Defined in JsonLayout/createJsonLayout.tsx:4

  #### Parameters

  - ##### options: JsonLayoutProps

  #### Returns (Anonymous function)

### Const getComponent

- getComponent(BB: BlueBase): (Anonymous function)

- - Defined in JsonLayout/JsonLayout.tsx:23

  #### Parameters

  - ##### BB: BlueBase

  #### Returns (Anonymous function)

### Const getFormField

- getFormField(type: string): ComponentClass<any, any> | FunctionComponent<any>

- - Defined in JsonForm/getFormField.ts:29

  #### Parameters

  - ##### type: string

  #### Returns ComponentClass<any, any> | FunctionComponent<any>

### Const graphqlToFormErrors

- graphqlToFormErrors(error: ApolloError): FormErrors

- - Defined in JsonGraphqlForm/JsonGraphqlForm.tsx:227

  #### Parameters

  - ##### error: ApolloError

  #### Returns FormErrors

### Const mapQueryDataToInitialValues

- mapQueryDataToInitialValues(data: any): any

- - Defined in JsonGraphqlForm/__stories__/EditProfileProfileForm.tsx:37

  #### Parameters

  - ##### data: any

  #### Returns any

### Const onSuccess

- onSuccess(_res: any, _vals: any, __namedParameters: object): any

- - Defined in JsonGraphqlForm/__stories__/JsonGraphqlForm.stories.tsx:9

  #### Parameters

  - ##### _res: any

  - ##### _vals: any

  - ##### __namedParameters: object

    - ##### setStatus: any

  #### Returns any

### Const validate

- validate(props: FormTextInputProps): (Anonymous function)

- - Defined in JsonForm/Fields/FormTextInput.tsx:19

  #### Parameters

  - ##### props: FormTextInputProps

  #### Returns (Anonymous function)

## Object literals

### Const FieldResolutionMap

FieldResolutionMap: object

- Defined in JsonForm/getFormField.ts:6

### checkbox

checkbox: string[] = ['FormCheckboxInput', 'Noop']

- Defined in JsonForm/getFormField.ts:7

### color

color: string[] = ['FormColorInput', ...DefaultInputs]

- Defined in JsonForm/getFormField.ts:8

### component

component: string[] = ['JsonLayout', 'Noop']

- Defined in JsonForm/getFormField.ts:9

### date

date: string[] = ['FormDateInput', ...DefaultInputs]

- Defined in JsonForm/getFormField.ts:10

### email

email: string[] = ['FormEmailInput', ...DefaultInputs]

- Defined in JsonForm/getFormField.ts:11

### inline

inline: string[] = ['InlineFields', 'Noop']

- Defined in JsonForm/getFormField.ts:12

### inline-fields

inline-fields: string[] = ['InlineFields', 'Noop']

- Defined in JsonForm/getFormField.ts:13

### number

number: string[] = ['FormNumberInput', ...DefaultInputs]

- Defined in JsonForm/getFormField.ts:14

### password

password: string[] = ['FormPasswordInput', ...DefaultInputs]

- Defined in JsonForm/getFormField.ts:15

### picker

picker: string[] = ['FormPickerInput', 'Picker', 'Noop']

- Defined in JsonForm/getFormField.ts:16

### radio-group

radio-group: string[] = ['FormRadioGroupInput', 'Noop']

- Defined in JsonForm/getFormField.ts:17

### range

range: string[] = ['FormRangeInput', ...DefaultInputs]

- Defined in JsonForm/getFormField.ts:18

### reset

reset: string[] = ['FormResetButton', ...DefaultButtons]

- Defined in JsonForm/getFormField.ts:19

### search

search: string[] = ['FormSearchInput', ...DefaultInputs]

- Defined in JsonForm/getFormField.ts:20

### status

status: string[] = ['FormStatus']

- Defined in JsonForm/getFormField.ts:21

### submit

submit: string[] = ['FormSubmitButton', ...DefaultButtons]

- Defined in JsonForm/getFormField.ts:22

### switch

switch: string[] = ['FormSwitchInput', 'FormCheckboxInput', 'Noop']

- Defined in JsonForm/getFormField.ts:23

### tel

tel: string[] = ['FormTelInput', ...DefaultInputs]

- Defined in JsonForm/getFormField.ts:24

### time

time: string[] = ['FormTimeInput', ...DefaultInputs]

- Defined in JsonForm/getFormField.ts:25

### url

url: string[] = ['FormUrlInput', ...DefaultInputs]

- Defined in JsonForm/getFormField.ts:26

### Const fieldProps

fieldProps: object = [{helperText: 'This is a helper text',label: 'Username',name: 'username',required: true,type: 'text',}, {label: 'Email',name: 'email',required: true,type: 'email',}]

- Defined in JsonForm/Fields/__tests__/FormCheckboxInput.test.tsx:11
- Defined in JsonForm/Fields/__tests__/FormEmailInput.test.tsx:9
- Defined in JsonForm/Fields/__tests__/FormNumberInput.test.tsx:9
- Defined in JsonForm/Fields/__tests__/FormPasswordInput.test.tsx:9
- Defined in JsonForm/Fields/__tests__/FormPickerInput.test.tsx:9
- Defined in JsonForm/Fields/__tests__/FormRadioGroupInput.test.tsx:10
- Defined in JsonForm/Fields/__tests__/FormRangeInput.test.tsx:9
- Defined in JsonForm/Fields/__tests__/FormResetButton.test.tsx:10
- Defined in JsonForm/Fields/__tests__/FormSubmitButton.test.tsx:10
- Defined in JsonForm/Fields/__tests__/FormSwitchInput.test.tsx:9
- Defined in JsonForm/Fields/__tests__/FormTextInput.test.tsx:9
- Defined in JsonForm/Fields/__tests__/FormUrlInput.test.tsx:9
- Defined in JsonForm/Fields/__tests__/InlineFields.test.tsx:12

### direction

direction: string = "right"

- Defined in JsonForm/Fields/__tests__/InlineFields.test.tsx:13

### fields

fields: (object | object)[] = [{name: 'reset',type: 'reset',},{name: 'submit',title: 'Login',type: 'submit',},]

- Defined in JsonForm/Fields/__tests__/InlineFields.test.tsx:17

### items

items: object[] = [{label: 'JavaScript',value: 'js'}, {label: 'Java',value: 'java'}]

- Defined in JsonForm/Fields/__tests__/FormPickerInput.test.tsx:14
- Defined in JsonForm/Fields/__tests__/FormRadioGroupInput.test.tsx:15

### label

label: string = "Home Page"

- Defined in JsonForm/Fields/__tests__/FormCheckboxInput.test.tsx:12
- Defined in JsonForm/Fields/__tests__/FormEmailInput.test.tsx:10
- Defined in JsonForm/Fields/__tests__/FormNumberInput.test.tsx:10
- Defined in JsonForm/Fields/__tests__/FormPasswordInput.test.tsx:10
- Defined in JsonForm/Fields/__tests__/FormPickerInput.test.tsx:10
- Defined in JsonForm/Fields/__tests__/FormRadioGroupInput.test.tsx:11
- Defined in JsonForm/Fields/__tests__/FormRangeInput.test.tsx:10
- Defined in JsonForm/Fields/__tests__/FormSwitchInput.test.tsx:10
- Defined in JsonForm/Fields/__tests__/FormUrlInput.test.tsx:10

### max

max: number = 32

- Defined in JsonForm/Fields/__tests__/FormRangeInput.test.tsx:11

### min

min: number = 16

- Defined in JsonForm/Fields/__tests__/FormRangeInput.test.tsx:12

### name

name: string = "form-actions"

- Defined in JsonForm/Fields/__tests__/FormCheckboxInput.test.tsx:13
- Defined in JsonForm/Fields/__tests__/FormEmailInput.test.tsx:11
- Defined in JsonForm/Fields/__tests__/FormNumberInput.test.tsx:11
- Defined in JsonForm/Fields/__tests__/FormPasswordInput.test.tsx:11
- Defined in JsonForm/Fields/__tests__/FormPickerInput.test.tsx:11
- Defined in JsonForm/Fields/__tests__/FormRadioGroupInput.test.tsx:12
- Defined in JsonForm/Fields/__tests__/FormRangeInput.test.tsx:13
- Defined in JsonForm/Fields/__tests__/FormResetButton.test.tsx:11
- Defined in JsonForm/Fields/__tests__/FormSubmitButton.test.tsx:11
- Defined in JsonForm/Fields/__tests__/FormSwitchInput.test.tsx:11
- Defined in JsonForm/Fields/__tests__/FormUrlInput.test.tsx:11
- Defined in JsonForm/Fields/__tests__/InlineFields.test.tsx:14

### required

required: boolean = true

- Defined in JsonForm/Fields/__tests__/FormEmailInput.test.tsx:12
- Defined in JsonForm/Fields/__tests__/FormNumberInput.test.tsx:12
- Defined in JsonForm/Fields/__tests__/FormPasswordInput.test.tsx:12
- Defined in JsonForm/Fields/__tests__/FormUrlInput.test.tsx:12

### step

step: number = 1

- Defined in JsonForm/Fields/__tests__/FormRangeInput.test.tsx:14

### title

title: string = "Login"

- Defined in JsonForm/Fields/__tests__/FormSubmitButton.test.tsx:12

### type

type: string = "actions"

- Defined in JsonForm/Fields/__tests__/FormCheckboxInput.test.tsx:14
- Defined in JsonForm/Fields/__tests__/FormEmailInput.test.tsx:13
- Defined in JsonForm/Fields/__tests__/FormNumberInput.test.tsx:13
- Defined in JsonForm/Fields/__tests__/FormPasswordInput.test.tsx:13
- Defined in JsonForm/Fields/__tests__/FormPickerInput.test.tsx:12
- Defined in JsonForm/Fields/__tests__/FormRadioGroupInput.test.tsx:13
- Defined in JsonForm/Fields/__tests__/FormRangeInput.test.tsx:15
- Defined in JsonForm/Fields/__tests__/FormResetButton.test.tsx:12
- Defined in JsonForm/Fields/__tests__/FormSubmitButton.test.tsx:13
- Defined in JsonForm/Fields/__tests__/FormSwitchInput.test.tsx:12
- Defined in JsonForm/Fields/__tests__/FormUrlInput.test.tsx:13
- Defined in JsonForm/Fields/__tests__/InlineFields.test.tsx:15

### Const graphQLErrorsBadUserInput

graphQLErrorsBadUserInput: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:51

### request

request: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:52

### query

query: any = SignupMutation

- Defined in JsonGraphqlForm/__stories__/mocks.ts:53

### variables

variables: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:54

### email

email: string = "asd@as.cd"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:55

### firstName

firstName: string = "im only"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:56

### lastName

lastName: string = "testing"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:57

### password

password: string = "abc"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:58

### result

result: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:61

### errors

errors: object[] = [{message: 'Failed to get events due to validation errors',extensions: {code: 'BAD_USER_INPUT',exception: {validationErrors: {firstName: 'I m sorry, but we dont like your name.',password: 'The password cannot be less than 8 characters',},},},},]

- Defined in JsonGraphqlForm/__stories__/mocks.ts:62

### Const graphQLErrorsUnAuthenticated

graphQLErrorsUnAuthenticated: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:27

### request

request: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:28

### query

query: any = SignupMutation

- Defined in JsonGraphqlForm/__stories__/mocks.ts:29

### variables

variables: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:30

### email

email: string = "asd@as.cd"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:31

### firstName

firstName: string = "im only"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:32

### lastName

lastName: string = "testing"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:33

### password

password: string = "abc"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:34

### result

result: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:37

### errors

errors: object[] = [{extensions: {code: 'UNAUTHENTICATED',},locations: [],message: 'forbidden',path: ['protectedAction'],},]

- Defined in JsonGraphqlForm/__stories__/mocks.ts:38

### Const initialValues

initialValues: object

- Defined in JsonForm/Fields/__tests__/FormEmailInput.test.tsx:16
- Defined in JsonForm/Fields/__tests__/FormNumberInput.test.tsx:16
- Defined in JsonForm/Fields/__tests__/FormPasswordInput.test.tsx:16
- Defined in JsonForm/Fields/__tests__/FormPickerInput.test.tsx:23
- Defined in JsonForm/Fields/__tests__/FormRadioGroupInput.test.tsx:24
- Defined in JsonForm/Fields/__tests__/FormRangeInput.test.tsx:18
- Defined in JsonForm/Fields/__tests__/FormResetButton.test.tsx:15
- Defined in JsonForm/Fields/__tests__/FormSubmitButton.test.tsx:16
- Defined in JsonForm/Fields/__tests__/FormTextInput.test.tsx:22
- Defined in JsonForm/Fields/__tests__/FormUrlInput.test.tsx:16
- Defined in JsonForm/Fields/__tests__/InlineFields.test.tsx:30
- Defined in JsonForm/__tests__/FormFields.test.tsx:35
- Defined in JsonForm/__tests__/JsonForm.test.tsx:27

### amount

amount: number = 126

- Defined in JsonForm/Fields/__tests__/FormNumberInput.test.tsx:17

### email

email: string = "foo@bar.com"

- Defined in JsonForm/Fields/__tests__/FormEmailInput.test.tsx:17

### home-page

home-page: string = "home.page"

- Defined in JsonForm/Fields/__tests__/FormUrlInput.test.tsx:17

### lang

lang: string = "js"

- Defined in JsonForm/Fields/__tests__/FormPickerInput.test.tsx:24
- Defined in JsonForm/Fields/__tests__/FormRadioGroupInput.test.tsx:25

### password

password: string = "secret"

- Defined in JsonForm/Fields/__tests__/FormPasswordInput.test.tsx:17

### temp

temp: number = 26

- Defined in JsonForm/Fields/__tests__/FormRangeInput.test.tsx:19
- Defined in JsonForm/__tests__/FormFields.test.tsx:40
- Defined in JsonForm/__tests__/JsonForm.test.tsx:32

### username

username: string = ""

- Defined in JsonForm/Fields/__tests__/FormTextInput.test.tsx:23
- Defined in JsonForm/__tests__/FormFields.test.tsx:41
- Defined in JsonForm/__tests__/JsonForm.test.tsx:33

### Const networkError

networkError: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:6

### request

request: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:7

### query

query: any = SignupMutation

- Defined in JsonGraphqlForm/__stories__/mocks.ts:8

### variables

variables: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:9

### email

email: string = "asd@as.cd"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:10

### firstName

firstName: string = "im only"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:11

### lastName

lastName: string = "testing"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:12

### password

password: string = "abc"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:13

### result

result: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:16

### error

error: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:17

### bodyText

bodyText: string = "<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><title>Error</title></head><body><pre>Cannot POST /graphql</pre></body></html>"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:21

### name

name: string = "ServerParseError"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:18

### response

response: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:19

#### Type declaration

### statusCode

statusCode: number = 404

- Defined in JsonGraphqlForm/__stories__/mocks.ts:20

### Const success

success: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:79

### request

request: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:80

### query

query: any = SignupMutation

- Defined in JsonGraphqlForm/__stories__/mocks.ts:81

### variables

variables: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:82

### email

email: string = "asd@as.cd"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:83

### firstName

firstName: string = "im only"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:84

### lastName

lastName: string = "testing"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:85

### password

password: string = "abc"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:86

### result

result: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:89

### data

data: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:90

### signup

signup: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:91

### accessToken

accessToken: string = ""

- Defined in JsonGraphqlForm/__stories__/mocks.ts:97

### email

email: string = "asd@as.cd"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:93

### firstName

firstName: string = "im only"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:94

### id

id: string = "5ccec1e892b8486b652aa670"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:92

### lastName

lastName: string = "testing"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:95

### password

password: string = "abc"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:96

### Const viewerQuery

viewerQuery: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:103

### request

request: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:104

### query

query: any = ViewerQuery

- Defined in JsonGraphqlForm/__stories__/mocks.ts:105

### result

result: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:107

### data

data: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:108

### viewer

viewer: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:109

### me

me: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:110

### firstName

firstName: string = "Abdul Rehman"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:112

### id

id: string = "5ccec1e892b8486b652aa670"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:111

### lastName

lastName: string = "Talat"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:113

### Const viewerQuery1

viewerQuery1: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:120

### request

request: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:121

### query

query: any = ViewerQuery

- Defined in JsonGraphqlForm/__stories__/mocks.ts:122

### result

result: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:124

### data

data: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:125

### viewer

viewer: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:126

### me

me: object

- Defined in JsonGraphqlForm/__stories__/mocks.ts:127

### firstName

firstName: string = "Abdul"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:129

### id

id: string = "1"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:128

### lastName

lastName: string = "3"

- Defined in JsonGraphqlForm/__stories__/mocks.ts:130

Generated using TypeDoc